classification
Title: Add an option to profile to run library module as a script
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ericvw, mariocj89, ncoghlan
Priority: normal Keywords: patch

Created on 2018-01-07 17:00 by mariocj89, last changed 2018-11-05 12:11 by mariocj89. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5132 merged mariocj89, 2018-01-07 17:54
Messages (3)
msg309627 - (view) Author: Mario Corchero (mariocj89) * (Python triager) Date: 2018-01-07 17:00
Add an option to profile to be able to do `python3 -m profile -m my.module.name` to be able to profile the module the same way cProfile allows since issue 21862
msg309637 - (view) Author: Mario Corchero (mariocj89) * (Python triager) Date: 2018-01-07 20:56
Related issue for improved executable module support for standard library modules that run other scripts: https://bugs.python.org/issue9325
msg329293 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-11-05 12:03
New changeset ad1a25f499362eaf9cbfcafa0b8e2454eb43dcf1 by Nick Coghlan (Mario Corchero) in branch 'master':
bpo-32512: Add -m option to profile for profiling modules (#5132)
https://github.com/python/cpython/commit/ad1a25f499362eaf9cbfcafa0b8e2454eb43dcf1
History
Date User Action Args
2018-11-05 12:11:53mariocj89setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-05 12:03:50ncoghlansetnosy: + ncoghlan
messages: + msg329293
2018-01-08 02:18:30ncoghlanlinkissue9325 dependencies
2018-01-07 20:56:15mariocj89setmessages: + msg309637
2018-01-07 19:06:26ericvwsetnosy: + ericvw
2018-01-07 17:54:36mariocj89setkeywords: + patch
stage: patch review
pull_requests: + pull_request4993
2018-01-07 17:00:27mariocj89create